REM Registry Keys Exporter
REM Use your own paths to the keys and output files to export data from Windows Registry
@echo off
regedit /ea %Temp%\ChkReg.txt "HKEY_CURRENT_USER\Software\MyPrg-1"
if exist %Temp%\ChkReg.txt type %Temp%\ChkReg.txt>reg.reg
regedit /ea %Temp%\ChkReg.txt "HKEY_LOCAL_MACHINE\Software\MyPrg-1"
if exist %Temp%\ChkReg.txt findstr /v /b /i "REGEDIT4" %Temp%\ChkReg.txt>>reg.reg
if exist %Temp%\ChkReg.txt del %Temp%\ChkReg.txt 